| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ScaleControllerFunction Class Reference
Core » General

Predefined controller function which simply scales an input to an output value. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::ScaleControllerFunction:
[legend]

## Public Member Functions
| ScaleControllerFunction (Real scalefactor, bool deltaInput)
| Constructor, requires a scale factor. More...
Real | calculate (Real source)
| Overridden method. More...

## Detailed Description

Predefined controller function which simply scales an input to an output value.

## Constructor & Destructor Documentation

## ◆ ScaleControllerFunction()

Ogre::ScaleControllerFunction::ScaleControllerFunction | ( | Real | scalefactor,
|  | bool | deltaInput
| ) |  |

Constructor, requires a scale factor.

Parameters

  scalefactor | The multiplier applied to the input to produce the output.
  deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## Member Function Documentation

## ◆ calculate()

Real Ogre::ScaleControllerFunction::calculate | ( | Real | source | ) |
| virtual

Overridden method.

Implements Ogre::ControllerFunction< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h